#!/bin/bash

#test whether you foud the configuration file
DEFAULT_INSTALL=/opt/glite

DEFAULT_FILE=$DEFAULT_INSTALL/etc/glite-swat/glite-swat-client-wn.conf
HOME_ENV_FILE=$GLITE_SWAT_HOME/etc/glite-swat/glite-swat-client-wn.conf
ENV_FILE=$GLITE_SWAT_CLIENT_WN_CONFIG

#look for configuration file

if [ "$DEFAULT_FILE" -a -f $DEFAULT_FILE ] ; then
	FOUND_FILE=$DEFAULT_FILE
fi

if [ "$HOME_ENV_FILE" -a -f $HOME_ENV_FILE ] ; then 
	FOUND_FILE=$HOME_ENV_FILE
fi

if [ "$ENV_FILE" -a -f $ENV_FILE] ; then
	FOUND_FILE=$ENV_FILE
fi	

[ ! "$FOUND_FILE" ] && exit

#look for active=1 in configuration file

GLITE_SWAT_CLIENT_WN_ACTIVE=`grep ^active=1$ $FOUND_FILE`

[ ! "$GLITE_SWAT_CLIENT_WN_ACTIVE" ] && exit

#look for glite-swat-client-wn

if type glite-swat-client-wn &>/dev/null ; then
	glite-swat-client-wn $*
elif [ -f "$DEFAULT_INSTALL/bin/glite-swat-client-wn" ] ; then
	$DEFAULT_INSTALL/bin/glite-swat-client-wn $*
else
	$GLITE_SWAT_HOME/bin/glite-swat-client-wn $*
fi

